PxPlus User Forum

Twitter Twitter Twitter

Author Topic: Apache 32/64  (Read 2225 times)

ChrisKCAi

  • Silver Member
  • ***
  • Posts: 38
    • View Profile
Apache 32/64
« on: March 13, 2023, 01:14:38 PM »
There is a note in the iNomads setup documentation re: Apache that states "Only the 32-bit version of Apache is supported."
Is that still the case?

Mike King

  • Diamond Member
  • *****
  • Posts: 3830
  • Mike King
    • View Profile
    • BBSysco Consulting
Re: Apache 32/64
« Reply #1 on: March 13, 2023, 03:52:25 PM »
That note applies to the fact that on Windows we ONLY compile and provide a 32 Bit mod_inomads.so for Apache 2.2 and 2.4.  You can safely recompile the mod_inomads module yourself as we provide the source however you will require a 'C' compiler and to download the Apache development source headers for Windows.

For Linux, Aix, Unix, and MacOS you would compile the source based on the OS and hardware you are running on using the OS supplied 'C' compilers using the apxs command that comes with Apache.

Note you can mix 32 and 64 bit Apache and PxPlus (i.e. You can use the 32 bit Apache with either the 32 or 64 bit PxPlus on Windows).
Mike King
President - BBSysco Consulting
eMail: mike.king@bbsysco.com